// Dyanamic Size Types

#ifdef 64BIT
	#typedef HALF_PTR			INT
	#typedef INT_PTR			INT64
	#typedef LONG_PTR			INT64
	#typedef PHALF_PTR			POINTER
	#typedef POINTER_32			POINTER
	#typedef PUHALF_PTR			POINTER
	#typedef UHALF_PTR			UNSIGNED INT
	#typedef UINT_PTR			UNSIGNED INT64
	#typedef ULONG_PTR			UNSIGNED INT64
#else
	#typedef HALF_PTR			WORD
	#typedef INT_PTR			INT
	#typedef LONG_PTR			INT
	#typedef PHALF_PTR			POINTER
	#typedef POINTER_32			POINTER
	#typedef PUHALF_PTR			POINTER
	#typedef UHALF_PTR			UNSIGNED WORD
	#typedef UINT_PTR			UNSIGNED INT
	#typedef ULONG_PTR			UNSIGNED INT
#endif

// Unicode Types

#ifdef UNICODE
	#typedef LPCTSTR			POINTER
	#typedef LPTSTR				POINTER
	#typedef PCTSTR				POINTER
	#typedef PTSTR				POINTER
	#typedef TBYTE				UNSIGNED WORD
	#typedef TCHAR				UNSIGNED WORD
#else
	#typedef LPCTSTR			POINTER
	#typedef LPTSTR				POINTER
	#typedef PCTSTR				POINTER
	#typedef PTSTR				POINTER
	#typedef TBYTE				UNSIGNED BYTE
	#typedef TCHAR				UNSIGNED BYTE
#endif

// Windows Types

#typedef ATOM					UNSIGNED WORD
#typedef BOOL					INT
#typedef BOOLEAN				BYTE
#typedef CHAR					UNSIGNED BYTE
#typedef COLORREF				UNSIGNED INT
#typedef DWORD					UNSIGNED INT
#typedef DWORDLONG				UNSIGNED INT64
#typedef DWORD_PTR				ULONG_PTR
#typedef DWORD32				UNSIGNED INT
#typedef DWORD64				INT64
#typedef HACCEL					INT
#typedef HANDLE					INT
#typedef HBITMAP				INT
#typedef HBRUSH					INT
#typedef HCOLORSPACE			INT
#typedef HCONV					INT
#typedef HCONVLIST				INT
#typedef HCURSOR				INT
#typedef HDC					INT
#typedef HDDEDATA				INT
#typedef HDESK					INT
#typedef HDROP					INT
#typedef HDWP					INT
#typedef HENHMETAFILE			INT
#typedef HFILE					INT
#typedef HFONT					INT
#typedef HGDIOBJ				INT
#typedef HGLOBAL				INT
#typedef HHOOK					INT
#typedef HICON					INT
#typedef HIMAGELIST				INT
#typedef HIMC					INT
#typedef HINSTANCE				INT
#typedef HKEY					INT
#typedef HKL					INT
#typedef HLOCAL					INT
#typedef HMENU					INT
#typedef HMETAFILE				INT
#typedef HMODULE				INT
#typedef HMONITOR				INT
#typedef HPALETTE				INT
#typedef HPEN					INT
#typedef HRESULT				INT
#typedef HRGN					INT
#typedef HRSRC					INT
#typedef HSZ					INT
#typedef HWINSTA				INT
#typedef HWND					INT
#typedef INT32					INT
#typedef LANGID					UNSIGNED WORD
#typedef LCID					UNSIGNED INT
#typedef LCTYPE					UNSIGNED INT
#typedef LGRPID					UNSIGNED INT
#typedef LONG					INT
#typedef LONGLONG				INT64
#typedef LONG32					INT
#typedef LONG64					INT64
#typedef LPARAM					LONG_PTR
#typedef LPBOOL					POINTER
#typedef LPBYTE					POINTER
#typedef LPCOLORREF				POINTER
#typedef LPCRITICAL_SECTION		POINTER
#typedef LPCSTR					POINTER
#typedef LPCWSTR				POINTER
#typedef LPCVOID				POINTER
#typedef LPDWORD				POINTER
#typedef LPHANDLE				POINTER
#typedef LPINT					POINTER
#typedef LPLONG					POINTER
#typedef LPSTR					POINTER
#typedef LPWORD					POINTER
#typedef LPWSTR					POINTER
#typedef LPVOID					POINTER
#typedef LRESULT				LONG_PTR
#typedef PBOOL					POINTER
#typedef PBOOLEAN				POINTER
#typedef PBYTE					POINTER
#typedef PCHAR					POINTER
#typedef PCRITICAL_SECTION		POINTER
#typedef PCSTR					POINTER
#typedef PCWSTR					POINTER
#typedef PCWCH					POINTER
#typedef PDWORD					POINTER
#typedef PDWORDLONG				POINTER
#typedef PDWORD_PTR				POINTER
#typedef PDWORD32				POINTER
#typedef PDWORD64				POINTER
#typedef PFLOAT					POINTER
#typedef PHANDLE				POINTER
#typedef PHKEY					POINTER
#typedef PINT					POINTER
#typedef PINT_PTR				POINTER
#typedef PINT32					POINTER
#typedef PINT64					POINTER
#typedef PLCID					POINTER
#typedef PLONG					POINTER
#typedef PLONGLONG				POINTER
#typedef PLONG_PTR				POINTER
#typedef PLONG32				POINTER
#typedef PLONG64				POINTER
#typedef PLUID					POINTER
#typedef POINTER_64				INT64
#typedef POINTER_SIGNED			POINTER
#typedef POINTER_UNSIGNED		UNSIGNED POINTER
#typedef PSHORT					POINTER
#typedef PSIZE_T				POINTER
#typedef PSSIZE_T				POINTER
#typedef PSTR					POINTER
#typedef PSZ					POINTER
#typedef PTBYTE					POINTER
#typedef PTCHAR					POINTER
#typedef PUCHAR					POINTER
#typedef PUINT					POINTER
#typedef PUINT_PTR				POINTER
#typedef PUINT32				POINTER
#typedef PUINT64				POINTER
#typedef PULONG					POINTER
#typedef PULONGLONG				POINTER
#typedef PULONG_PTR				POINTER
#typedef PULONG32				POINTER
#typedef PULONG64				POINTER
#typedef PUSHORT				POINTER
#typedef PVOID					POINTER
#typedef PWCHAR					POINTER
#typedef PWORD					POINTER
#typedef PWSTR					POINTER
#typedef SC_HANDLE				INT
#typedef SC_LOCK				POINTER
#typedef SERVICE_STATUS_HANDLE	INT
#typedef SHORT					WORD
#typedef SIZE_T					ULONG_PTR
#typedef SSIZE_T				LONG_PTR
#typedef UCHAR					UNSIGNED BYTE
#typedef UINT					UNSIGNED INT
#typedef UINT32					UNSIGNED INT
#typedef UINT64					UNSIGNED INT64
#typedef ULONG					UNSIGNED INT
#typedef ULONGLONG				UNSIGNED INT64
#typedef ULONG32				UNSIGNED INT
#typedef ULONG64				UNSIGNED INT64
#typedef USHORT					UNSIGNED WORD
#typedef USN					INT64
#typedef WCHAR					UNSIGNED WORD
#typedef WPARAM					UINT_PTR